< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package wco
  Definition Classes
    hmrc
-  package dec
  Definition Classes
    wco
- AdditionalDocument
- AdditionalInformation
- Address
- Agent
- Amendment
- Amount
- AmountDeserializer
- Authentication
- Authenticator
- AuthorisationHolder
- BorderTransportMeans
- ChargeDeduction
- Classification
- Commodity
- Communication
- Consignment
- Contact
- CurrencyExchange
- CustomsValuation
- DangerousGoods
- DateTimeElement
- DateTimeString
- DateTimeStringDeserializer
- Declaration
- Destination
- DutyTaxFee
- ExportCountry
- Freight
- GoodsLocation
- GoodsLocationAddress
- GoodsMeasure
- GoodsShipment
- GovernmentAgencyGoodsItem
- GovernmentAgencyGoodsItemAdditionalDocument
- GovernmentAgencyGoodsItemAdditionalDocumentSubmitter
- GovernmentProcedure
- ImportExportParty
- Invoice
- InvoiceLine
- Itinerary
- JacksonMapper
- LoadingLocation
- Measure
- MeasureDeserializer
- MetaData
- NamedEntityWithAddress
- ObligationGuarantee
- Office
- Origin
- Packaging
- Payment
- Pointer
- PreviousDocument
- RoleBasedParty
- Seal
- StdAttributeAndTextDeserializer
- TradeTerms
- TransportEquipment
- TransportMeans
- Ucr
- ValuationAdjustment
- Warehouse
- WriteOff

o

uk.gov.hmrc.wco.dec

# MetaData 

###
Companion class MetaData

#### object MetaData extends JacksonMapper with Serializable

Linear Supertypes
Serializable, Serializable, JacksonMapper, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MetaData
2. Serializable
3. Serializable
4. JacksonMapper
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val _props: JavaPropsMapper
   Attributes
     protected
   Definition Classes
     JacksonMapper
5.  val _schema: JavaPropsSchema
   Attributes
     protected
   Definition Classes
     JacksonMapper
6.  val _xml: XmlMapper
   Attributes
     protected
   Definition Classes
     JacksonMapper
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  def fromProperties(props: Map[String, String]): MetaData
13.  def fromXml(xml: String): MetaData
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from JacksonMapper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped